try:
    import psutil
    try:
        disk_partition = psutil.disk_partitions()
        disk_total = 0.0
        used_total = 0.0
        for disk in disk_partition:
            try:
                use = psutil.disk_usage(disk.device)
                disk_total += use[0]
                used_total += use[1]
            except WindowsError:
                pass
        try:
            disk_rate = round(used_total/disk_total*100, 1)
            print(disk_rate)
        except ZeroDivisionError as err:
            print(err)
    except AttributeError as err:
        print(err)
except ImportError as err:
    print(err)
