### 一、目录

```
bin\Win64\ctcm_agentd.exe     agent客户端
conf\ctcm_agentd.conf         参数文件
conf\scripts\*.py             功能脚本与python2.exe路径
tool\get_uuid.exe             获取uuid脚本
```

### 二、部署

#### 安装步骤

```
1.将ctcm文件夹拷贝到C:\Windows目录下，将 Python27 拷贝至C盘 c:\Python27
  在cmd执行命令设置环境变量
  set PYTHONHOME=c:\Python27
  set PYTHONPATH=c:\Python27\Lib
  set PATH=%PYTHONHOME%;%PATH%
2.修改配置文件C:\Windows\ctcm\conf\ctcm_agentd.conf
	安装时需要修改配置文件中的“Hostname”，配置成机器的uuid，获取方式见下面注意的第5条，注意所有字母要求全部小写。
3.管理员模式，执行install.bat
```

#### 检查

```
1.检查服务
	win+R打开命令行，输入services.msc
	找到服务名为Ctcm Agent的服务，看一下启动状态
2.查看日志：C:\Windows\ctcm\ctcm_agentd.log
```

### 三、注意事项

```
1.虚拟机windows的磁盘命名使用磁盘的uuid，跟Linux不一样（Linux虚拟机使用机器uuid+磁盘uuid作为磁盘名称）。   
2.卸载机器的agent命令 例如：C:\Windows\ctcm\bin\win64\ctcm_agentd.exe -c C:\Windows\ctcm\conf\ctcm_agentd.conf -d
3.卸载磁盘的agent命令 例如：C:\Windows\ctcm\bin\win64\ctcm_agentd.exe -m -c C:\Windows\ctcm\conf\ctcm_agentd#磁盘uuid.conf -d
4.windows版本的agent没有自动更新uuid的功能。也没有自升级功能。
5.获取系统uuid的方法：
	win+R打开命令行，输入cmd，回车进入dos窗口
切换目录：cd C:\Windows\ctcm\tool
	执行命令：get_uuid.exe
    original uuid:系统返回的uuid
	lower uuid:将上面的original uuid转换成小写的uuid,这个是填入配置文件里的
	upper uuid:将上面的original uuid转换成大写的uuid
6 若硬盘数据出现错误：
          Traceback (most recent call last):
          File "<string>", line 337, in <module>
          File "<string>", line 324, in rate
          File "<string>", line 312, in disk_read_requests
          AttributeError: 'NoneType' object has no attribute 'read_count'
          final_exe returned -1
   解决方法：
   对于新机器获取不到磁盘信息的情况，需要执行 diskperf -y 命令以开启磁盘性能计数器
7 监控项出现错误：Timeout while executing a shell script
  则在配置文件中将参数调大 Timeout=30 （默认为3）
8 报错 no module named site.检查是否是python环境变量配置问题  
```

