# -*- coding: UTF-8 -*-
#*** 只适用于中文系统 ***

import os
import sys
import time

reload(sys)
sys.setdefaultencoding("utf-8")

#时间间隔(分)
INTERVAL = 3


'''
licenseStatus  :  代号
已获取            0
未获取            1
没到检查时间      2
no gpu            -1

'''

LOGPATH = "C:\Users\Public\Documents\NvidiaLogging\Log.NVDisplay.Container.exe.log"

def if_gpu():
    if os.access(LOGPATH, os.F_OK):
        return True
    else:
        return False


#判断开机是否已经超过指定时间间隔
def get_uptime():
    lines = os.popen(r'systeminfo').readlines()
    if not lines:
        print("can`t get systeminfo")
        sys.exit()

    for line in lines:
        line = line.strip("\r\n").strip()
        if "系统启动时间" in line.decode('gbk'):
            upTime = line.split(":", 1)[-1].strip()
            timeArray = time.strptime(upTime, "%Y/%m/%d, %H:%M:%S")
            timeStamp = int(time.mktime(timeArray))

    nowTime = int(time.time())
    if (nowTime - timeStamp) > 60*INTERVAL:
        return True
    else:
        return False


def get_licenseStatus():
    lines = os.popen(r'"C:\Program Files\NVIDIA Corporation\NVSMI\nvidia-smi.exe" -q').readlines()
    if not lines:
        print("can`t get nvsmi log")
        sys.exit()
    
    for line in lines:
        line = line.strip()
        if line.startswith("License Status"):
            if line.split(":")[-1].strip("\r\n").strip() == "Licensed":
                licenseStatus = 0
            else:
                licenseStatus = 1

            break

    return(licenseStatus) 

if __name__ == '__main__':
    if not if_gpu():
        print(-1)
    else:
        if get_uptime():
            print(get_licenseStatus())
        else:
            print(2)
