import psutil
import time
	
def compute():
    tm = time.time()
    network = psutil.net_io_counters()

    return tm, float(network.bytes_sent)/1024

def get_net_outcoming_kb():
    start, recv_kb1 = compute()
    time.sleep(2)
    end, recv_kb2 = compute()

    interval = (end-start)
    if interval is 0:
        return 0
    return (recv_kb2-recv_kb1) / interval

def main():
    print(round(get_net_outcoming_kb(), 1))

if __name__ == '__main__':
    main()